Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxws.atomikos
Class Utils

    java.lang.Object
      com.atomikos.icatch.jaxws.atomikos.Utils

    public final class Utils

extends Object

Copyright © 2005, Atomikos. All rights reserved. Utilities for this package.

Field Summary
`static String` | `ATOMIKOS_ACTOR`
`static String` | `ATOMIKOS_NAMESPACE`
`static String` | `SOAP_ENVELOPE_NAMESPACE`

Method Summary
`static String` | `extractExtentFromHeader(javax.xml.soap.SOAPHeaderElement header, Extent extent)`
`static Propagation` | `extractPropagationFromHeader(javax.xml.soap.SOAPHeaderElement header)`
`static void` | `insertExtentHeader(javax.xml.soap.SOAPMessage msg, String parentTid, String localUri, HeuristicMessage[] msgs, Hashtable table)`
`static void` | `insertPropagationHeader(javax.xml.soap.SOAPMessage msg, String root, String tid, boolean serial, long timeout, String coordinatorAddress, String coordinatorId, Properties properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOAP_ENVELOPE_NAMESPACE

    public static final String SOAP_ENVELOPE_NAMESPACE

See Also:
  Constant Field Values

### ATOMIKOS_ACTOR

    public static final String ATOMIKOS_ACTOR

See Also:
  Constant Field Values

### ATOMIKOS_NAMESPACE

    public static final String ATOMIKOS_NAMESPACE

See Also:
  Constant Field Values

Method Detail

### insertPropagationHeader

    public static void insertPropagationHeader(javax.xml.soap.SOAPMessage msg,
                                               String root,
                                               String tid,
                                               boolean serial,
                                               long timeout,
                                               String coordinatorAddress,
                                               String coordinatorId,
                                               Properties properties)
                                        throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### insertExtentHeader

    public static void insertExtentHeader(javax.xml.soap.SOAPMessage msg,
                                          String parentTid,
                                          String localUri,
                                          HeuristicMessage[] msgs,
                                          Hashtable table)
                                   throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

### extractPropagationFromHeader

    public static Propagation extractPropagationFromHeader(javax.xml.soap.SOAPHeaderElement header)
                                                    throws javax.xml.ws.soap.SOAPFaultException,
                                                           javax.xml.soap.SOAPException

  Throws:
    `javax.xml.ws.soap.SOAPFaultException`
    `javax.xml.soap.SOAPException`

### extractExtentFromHeader

    public static String extractExtentFromHeader(javax.xml.soap.SOAPHeaderElement header,
                                                 Extent extent)
                                          throws javax.xml.soap.SOAPException

  Throws:
    `javax.xml.soap.SOAPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.